API 参考
7 个接口 · 概览
emailstring (email)必填200sentbooleancurl -X POST "https://side.example.com/v1/auth/email/start" \
-H "Content-Type: application/json" \
-d '{"email":"[email protected]"}'{
"sent": false
}emailstring必填codestring必填device_namestring必填platformstring必填display_namestringcurl -X POST "https://side.example.com/v1/auth/email/verify" \
-H "Content-Type: application/json" \
-d '{"email":"[email protected]","code":"code","device_name":"device_name","platform":"platform"}'{
"access_token": "access_token",
"refresh_token": "refresh_token",
"expires_in": 1,
"user": {
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
},
"device_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}The refresh token has the form <device_id>.<secret>. Each refresh invalidates the previous refresh token. A revoked device fails immediately with 401.
refresh_tokenstring必填curl -X POST "https://side.example.com/v1/auth/refresh" \
-H "Content-Type: application/json" \
-d '{"refresh_token":"refresh_token"}'{
"access_token": "access_token",
"refresh_token": "refresh_token",
"expires_in": 1,
"user": {
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
},
"device_id": "nod_01JD7Q3A5C7E9G1J3K5M7P9R2S"
}curl "https://side.example.com/v1/me" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"id": "id",
"email": "[email protected]",
"display_name": "display_name",
"kind": "human"
}Set by the server's operator (SIDESPACE_RELEASE_current, the answer says whether that
version should update (update) and must (required: older than
min_version). 404 when nothing is published for the platform.
platformstring必填macoslinuxcurrentstringcurl "https://side.example.com/v1/releases/macos"{
"platform": "macos",
"version": "version",
"url": "https://hooks.example.com/side",
"sha256": "sha256",
"notes": "notes",
"min_version": "min_version",
"update": false,
"required": false
}200itemsDevice[]idstring必填namestring必填platformstring必填last_seen_atTimestamp | anyrevoked_atTimestamp | anycurrentboolean必填curl "https://side.example.com/v1/devices" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"{
"items": [
{
"id": "id",
"name": "A001_C003.mov",
"platform": "platform",
"last_seen_at": "2026-11-14T09:30:00Z",
"revoked_at": "2026-11-14T09:30:00Z",
"current": false
}
]
}idstring必填204curl -X DELETE "https://side.example.com/v1/devices/id" \
-H "Authorization: Bearer $SIDESPACE_TOKEN"